Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.om
Class SimpleKey

    java.lang.Object
      org.apache.torque.om.ObjectKey
          org.apache.torque.om.SimpleKey

All Implemented Interfaces:
  Serializable, Comparable<Object>

Direct Known Subclasses:
  BooleanKey, DateKey, NumberKey, StringKey

    public abstract class SimpleKey

extends ObjectKey

This empty class marks an ObjectKey as being capable of being represented as a single column in a database.

Version:
  $Id: SimpleKey.java 1206841 2011-11-27 20:46:17Z tfischer $
Author:
  John McNally, J. Russell Smyth
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.torque.om.ObjectKey
`key`

Constructor Summary
`SimpleKey()`

Method Summary
`static NumberKey` | `keyFor(BigDecimal key)` Creates an ObjectKey for the key object.
`static BooleanKey` | `keyFor(Boolean key)` Creates an ObjectKey for the key object.
`static DateKey` | `keyFor(Date key)` Creates an ObjectKey for the key object.
`static DateKey` | `keyFor(DateKey key)` Creates an ObjectKey for the key object.
`static NumberKey` | `keyFor(double key)` Creates an ObjectKey for the key object.
`static NumberKey` | `keyFor(int key)` Creates an ObjectKey for the key object.
`static NumberKey` | `keyFor(long key)` Creates an ObjectKey for the key object.
`static NumberKey` | `keyFor(Number key)` Creates an ObjectKey for the key object.
`static NumberKey` | `keyFor(NumberKey key)` Creates an ObjectKey for the key object.
`static StringKey` | `keyFor(String key)` Creates an ObjectKey for the key object.
`static StringKey` | `keyFor(StringKey key)` Creates an ObjectKey for the key object.

Methods inherited from class org.apache.torque.om.ObjectKey
`appendTo, compareTo, equals, getJdbcType, getValue, hashCode, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleKey

    public SimpleKey()

Method Detail

### keyFor

    public static NumberKey keyFor(BigDecimal key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static NumberKey keyFor(int key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static NumberKey keyFor(long key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static NumberKey keyFor(double key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static NumberKey keyFor(Number key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static NumberKey keyFor(NumberKey key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static StringKey keyFor(String key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static StringKey keyFor(StringKey key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static DateKey keyFor(Date key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static DateKey keyFor(DateKey key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

### keyFor

    public static BooleanKey keyFor(Boolean key)

  Creates an ObjectKey for the key object.

  Parameters:
    `key` - the key value.
  Returns:
    an ObjectKey for `key`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.